/*
Theme Name: BB Ollie
Theme URI: https://www.blaubild.com/downloads/bb-ollie
Author: Blaubild GmbH
Author URI: https://www.blaubild.com
Description: A child theme for the Ollie block theme by Mike McAlister. This child theme is developed by Blaubild GmbH.
Requires at least: 6.0
Tested up to: 6.2
Requires PHP: 5.7
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: ollie
Text Domain: bb-ollie
Tags: blog, entertainment, portfolio, grid-layout, one-column, two-columns, three-columns, four-columns, wide-blocks, accessibility-ready, block-patterns, block-styles, custom-logo, custom-menu, editor-style, featured-images, full-site-editing, full-width-template, rtl-language-support, style-variations, template-editing, theme-options, translation-ready, 
*/

/* === IMPORT === */

@import url(animate.min.css);

/* === MISC === */

.bb_justify-text {
    hyphens: auto;
    text-align: justify;
}

.bb_reference-logo img {
    height: auto !important;
    max-height: 40px;
    max-width: 80vw;
}

.is-style-rounded-cover .wp-block-cover__background {
    border-radius: 5px;
}

/* === STICKY HEADER === */

.bb_sticky-notification.active {
    box-shadow: 0 0 20px rgb(0 0 0 / 0.4);
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 990;
}

/* === CONTACT FORM === */

.bb_contact-form .disclaimer {
    font-size: smaller;
    hyphens: auto;
    text-align: justify;
}

.bb_contact-form hr {
    border: none;
    border-top: 1px dashed rgb(0 0 0 / 0.2);
    margin: 2em 0;
}

.bb_contact-form input[type="submit"] {
    background-color: var(--wp--preset--color--primary);
    border: none;
    border-radius: 5px;
    color: var(--wp--preset--color--base);
    font-size: var(--wp--preset--font-size--small);
    font-weight: var(--wp--custom--font-weight--medium);
    padding: 0.5em 1em;
    width: 100%;
}

.bb_contact-form input[type="submit"]:hover {
    cursor: pointer;
    text-decoration: underline;
}
